Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.binding.binder
Interface BeanBinder

All Superinterfaces:
  ObjectBinder

All Known Subinterfaces:
  ActionBeanBinder, ActionPresentationModelBinder, PresentationModelBinder

All Known Implementing Classes:
  ActionBeanBinderImpl, ActionPresentationModelBinderImpl, BeanBinderImpl, PresentationModelBinderImpl

    public interface BeanBinder

extends ObjectBinder

Describes a binder that adds bindings for bound bean properties to the general object bindings.

Examples:

     BeanBinder binder = BasicBinders.binderFor(aBean);
     binder.bindProperty("artist")   .to(artistField);
     binder.bindProperty("title")    .to(titleField);
     binder.bindProperty("classical").to(classicalBox);

Since:
  2.3
Version:
  $Revision: 1.1 $
Author:
  Karsten Lentzsch

Method Summary
`ValueModelBindingBuilder` | `bindProperty(String propertyName)` Looks up a ValueModel for the given (bean) property name.

Methods inherited from interface com.jgoodies.binding.binder.ObjectBinder
`bind, bind, bind, bind, bind, bind`

Method Detail

### bindProperty

    ValueModelBindingBuilder bindProperty(String propertyName)

  Looks up a ValueModel for the given (bean) property name. Then creates and returns a binding builder that manages a ValueModel that can be operated on and that can be bound to a component.

  Examples:
  `binder.bindProperty("artist") .to(artistField);`
  `binder.bindProperty(PROPERTY_ARTIST).to(artistField);`

  Parameters:
    `propertyName` - the name of the bean property to be converted to a ValueModel
  Returns:
    the binding builder that holds the converted bean property
  Throws:
    `NullPointerException` - if `propertyName` is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2013 JGoodies Software GmbH. All Rights Reserved.